Package: partitionmanager
Version: 1.0.2-1
Severity: minor

Dear Maintainer,

This is a silly and (presumably) cosmetic bug: if you use KDE Partition
Manager to make some changes to a hard drive, and then, when it has
successfully completed, you click the 'Open in external browser' button
(first clicking 'Details >>>' if necessary to show the 'Open ...' button) to
cause an HTML report to be generated detailing the changes, the report shows
the KDE Partition Manager version correctly (1.0.2), but reports the KDE
version as '4.4.3', instead of the '4.8.4' that it actually is.  This is
despite KDE Partition Manager being fully aware elsewhere of the correct KDE
version, as shown if you do 'Help | About', in which case the KDE version is
shown correctly as 4.8.4.

I have screenshots illustrating this bug, which I'll try to attach to the
report.  The bug is repeatable at will (on every run).

There is no apparent adverse effect on the requested disk operation, so this
is just a cosmetic bug, albeit a rather strange one.

-- System Information:
Debian Release: 7.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages partitionmanager depends on:
ii  kdebase-runtime    4:4.8.4-2
ii  libblkid1          2.20.1-5.3
ii  libc6              2.13-38+deb7u3
ii  libgcc1            1:4.7.2-5
ii  libkdecore5        4:4.8.4-4+deb7u1
ii  libkdeui5          4:4.8.4-4+deb7u1
ii  libkio5            4:4.8.4-4+deb7u1
ii  libparted0debian1  2.3-12
ii  libqtcore4         4:4.8.2+dfsg-11
ii  libqtgui4          4:4.8.2+dfsg-11
ii  libstdc++6         4.7.2-5
ii  libuuid1           2.20.1-5.3

partitionmanager recommends no packages.

Versions of packages partitionmanager suggests:
ii  dosfstools     3.0.13-1
pn  hfsplus        <none>
pn  hfsutils       <none>
pn  jfsutils       <none>
pn  ntfsprogs      <none>
pn  reiser4progs   <none>
pn  reiserfsprogs  <none>
pn  xfsprogs       <none>

-- no debconf information

More
====

A quick look through the package source code shows the following code
fragment in file src/util/report.cpp :

        s += tableLine(i18n("Date:"),
KGlobal::locale()->formatDateTime(KDateTime::currentLocalDateTime()));
        s += tableLine(i18n("Program version:"),
KGlobal::mainComponent().aboutData()->version());
        s += tableLine(i18n("LibParted version:"), ped_get_version());
        s += tableLine(i18n("KDE version:"), KDE_VERSION_STRING);

but there are no other references to the variable KDE_VERSION_STRING
anywhere in any of the source package files, and I'm not a KDE programmer so
don't know whether this is a standard data item in a KDE development
environment.

FWIW, the system in which I experience this bug is a Wheezy VM, hosted by
Virtualbox running on a Squeeze host - which of course is KDE 4.4.3 .....

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to